Go to the latest version of this document.

# ``twisted`.`web`.`http`.`_IDeprecatedHTTPChannelToRequestInterface``

interface documentation

`class _IDeprecatedHTTPChannelToRequestInterface(Interface): (source)`

Known implementations: `twisted.web.http.Request`

View In Hierarchy

The interface `HTTPChannel` expects of `Request`.

Method | `__eq__` | Determines if two requests are the same object.
Method | `__hash__` | Generate a hash value for the request.
Method | `__ne__` | Determines if two requests are not the same object.
Method | `connectionLost` | The underlying connection has been lost.
Method | `gotLength` | Called when `HTTPChannel` has determined the length, if any, of the incoming request's body.
Method | `handleContentChunk` | Deliver a received chunk of body data to the request. Note this does not imply chunked transfer encoding.
Method | `parseCookies` | Parse the request's cookies out of received headers.
Method | `requestReceived` | Called when the entire request, including its body, has been received.
Attribute | `requestHeaders` | A `http_headers.Headers` instance giving all received HTTP request headers.
Attribute | `responseHeaders` | A `http_headers.Headers` instance holding all HTTP response headers to be sent.

def __eq__(other: `object`) -> `bool`: (source)

Determines if two requests are the same object.

Parameters
other:`object` | Another object whose identity will be compared to this instance's.

Returns
`bool` | `True` when the two are the same object and `False` when not.

def __hash__(): (source)

Generate a hash value for the request.

Returns
`int` | The request's hash value.

def __ne__(other: `object`) -> `bool`: (source)

Determines if two requests are not the same object.

Parameters
other:`object` | Another object whose identity will be compared to this instance's.

Returns
`bool` | `True` when the two are not the same object and `False` when they are.

def connectionLost(reason): (source)

The underlying connection has been lost.

Parameters
reason:`twisted.python.failure.Failure` | A failure instance indicating the reason why the connection was lost.

def gotLength(length): (source)

Called when `HTTPChannel` has determined the length, if any, of the incoming request's body.

Parameters
length:`int` if the request declares its body's length and `None` if it does not. | The length of the request's body.

def handleContentChunk(data): (source)

Deliver a received chunk of body data to the request. Note this does not imply chunked transfer encoding.

Parameters
data:`bytes` | The received chunk.

def parseCookies(): (source)

Parse the request's cookies out of received headers.

def requestReceived(command, path, version): (source)

Called when the entire request, including its body, has been received.

Parameters
command:`bytes` | The request's HTTP command.
path:`bytes` | The request's path. Note: this is actually what RFC7320 calls the URI.
version:`bytes` | The request's HTTP version.

requestHeaders = (source)

A `http_headers.Headers` instance giving all received HTTP request headers.

responseHeaders = (source)

A `http_headers.Headers` instance holding all HTTP response headers to be sent.